PDA

Visualizza la versione completa : Debian sid: problemi con interfaccia grafica, mouse e librerie (??)


an3a
06-04-2004, 19:24
ciao a tutti,

ho installato la debian e aggiornata alla sid

quando ho installato gnome per alcuni moduli mi diceva che non riusciva a inizializzare gnome e switchava a "Demand" (non ricordo esattamente nel messaggio c'era "is libgnome2-perl installed?" ... ma provando a lanciare

# apt-get install libgnome2-perl

mi restituitsce:

The following packages have unmet dependencies
libgnome2-perl: Depends: liborbit2 (>=1:2.10.0) but 1:2.8.3-2 is not be installed

che devo fare? sistemata questa cosa devo reinstallare gnome??

altra cosa, quando parte debian mi avvia gdm ma il puntatore del mouse e' un quadratone "illeggibile", ho configurato male il mouse? :dh:

cercando nel forum non ho trovato messaggi specifici per questi problemi ... :cry: :cry:

andy caps
06-04-2004, 19:40
dai prima un apt-get dist-upgrade e poi un dpkg --configure -a per vedere se ti sono rimasti pacchetti inconfigurati
se hai un altro de tipo fluxbox o wmaker avvia quello installa synaptic e vedi di installare i file di gnome con quello

an3a
06-04-2004, 20:01
Originariamente inviato da andy caps
dai prima un apt-get dist-upgrade e poi un dpkg --configure -a per vedere se ti sono rimasti pacchetti inconfigurati
se hai un altro de tipo fluxbox o wmaker avvia quello installa synaptic e vedi di installare i file di gnome con quello

apt-get dist-upgrade lo avevo dato dopo che ho installato il sistema di base ... devo rilanciarlo? :fagiano:

in teoria ho installato anche xfce ma se lancio:
update-alternatives --config display-manager

mi dice che non ce ne sono di alternativi :master: :fagiano:

e dalla videata di login con gdm mi fa scegliere solo gnome :stordita: :dott: :dh:

andy caps
06-04-2004, 20:09
prova ad installare fluxbox wmaker che ti dovrebbe aggiungere automaticamente

spesso nell'aggiornamento (quasi sempre ) se un pacchetto da problemi non installa gli altri se non dai quel comando

dpkg --configure -a e magari

apt-get -f install

an3a
06-04-2004, 20:13
Originariamente inviato da andy caps
prova ad installare fluxbox wmaker che ti dovrebbe aggiungere automaticamente

spesso nell'aggiornamento (quasi sempre ) se un pacchetto da problemi non installa gli altri se non dai quel comando

dpkg --configure -a e magari

apt-get -f install

per installare fluxbox wmaker basta:

apt-get install fluxbox wmaker

?? :fagiano: :fagiano:

andy caps
06-04-2004, 21:03
si se hai le repository installa anche synaptic ed avvialo da fluxbox poi installa i file di gnome

an3a
06-04-2004, 21:41
come repository ho
deb ftp://debian.nettuno.it/debian/ unstable main contrib
deb-src ftp://debian.nettuno.it/debian/ unstable main contrib

ok ora funziona tutto con gnome ... ho lanciato il comando:

apt-get installa fluxbox wmaker

ma se faccio:

update-alternatives --config display-manger

mi dice che non ce ne sono di alternativi :stordita:


ma come mai di mozilla non ho il client mail? :(

e come mai gnome e' in inglese? :cry: :dh:

andy caps
07-04-2004, 00:55
per mozilla digita

apt-get install mozilla-mailnews per avere la posta di mozilla

wmake e fluxbox li dovresti trovare nel menu sessioni di gdm

per gnome ( :quipy: non l'ho mai usato )

guarda dei menu o nel pannello di controllo di gnome prima pero installa il pacchetto locales e se gia installato digita

dpkg-reconfigure locales e scegli @it cosi ti trovi la distro in italiano anche nelle consolle

an3a
07-04-2004, 09:54
grazie mille andy dei mille aiuti

ora e' tutto in italiano :D

quando pero' installo qualcosa lui riprende l'installazione interrotta di apache (quando ho lanciato dist-upgrade) ma non riesce a sovrascrivere httpd.conf sia che io gli dica di sostituire il mio con quello del package mantainer sa che gli dica di non fare nulla (il default).

quando ho installato mozilla-mailnews mi ha detto che non riusciva a inizializzare gnome (Gtk cannot ope display, dysplay problem?) ... e che switchava a Dialog ... che vorra' di'?

in gmd posso scegliere solo tra:
Default System Session
GNOME
Failsafe Gnome
Failsafe Terminal
... non vedo ne' fluxbox ne' xfce4 :(

un ultima cosa, come mai root non puo' loggarsi a gnome, mi dice che root non e' autorizzato a loggarsi da quella sessione

andy caps
07-04-2004, 13:43
per apache prova a spostare momentaneamente il file /etc/apache/httpd.conf e riprovare

per le gtk nno ci dovrebbero essere problemi al limite prova ad installare un po di temi di gtk e un po di temi per gnome che dovrebero caricarti i file necessari

per il menu di gdm prova a rimuoverlo e reinstallarlo ti dovrebbe mettere anche le voci nuove

per il login devi editare il file gdm.conf (credo in /etc/gnome o /etc/gdm non ricordo )

poi scorrendo il file trovi una riga con scritto

allow root=false e la devi cambiare in

allow root=true

Loading